using System;
using System.Reflection;

internal sealed class Delegate353 : MulticastDelegate
{
	public extern MethodInfo Invoke(object object_0, string string_0, Type[] type_0);

	public static MethodInfo smethod_0(object object_0, string string_0, Type[] type_0, Delegate353 delegate353_1)
	{
		return delegate353_1(object_0, string_0, type_0);
	}

	public extern Delegate353(object object_0, IntPtr intptr_0);

	static Delegate353()
	{
		Class10.smethod_13(typeof(Delegate353).TypeHandle);
	}

	internal static Delegate353 delegate353_0;
}
